Subject: Re: [lemonade] What is Profile-bis?

From: Randall Gellens <[email-masked]>
Date: Mon, 10 Mar 2008 05:19:22 -0700

At 12:33 PM -0500 2/15/08, Eric Burger wrote:

>  Our charter is to deliver protocol extensions to the Internet messaging
>  infrastructure, specifically IMAP and SUBMIT, to enable or enhance messaging
>  in ANY environment that has the characteristics of low or intermittent
>  network connectivity, low power clients, or clients of lesser capability.
>  This is the lemonade environment.  In practical terms, this means we will
>  develop a set of standards-track RFC's, BCP's, and Informational documents
>  describing extensions to existing protocols, possible deployment
>  architectures, and issues to be aware of with respect to or that enhance the
>  lemonade environment experience.
>
>  In an orthogonal effort, the IETF has been formally approached by the OMA to
>  satisfy a number of requirements that just happen to have constraints of low
>  or intermittent network connectivity, low power clients, and clients of
>  lesser capability.  This is convenient for us, as this means we can use the
>  RFC's, BCP's, and Informational documents to satisfy the OMA's requirements.
>
>  Very early on in the process, there was consensus in the work group that it
>  would be valuable to produce a document, targeted towards the OMA, that in
>  detail describes in one place how the suite of existing standards and new
>  standards that we develop in lemonade achieve the OMA requirements.  This
>  document is the lemonade Profile and its successor, Profile-bis.

My recollection, which could quite easily be very wrong, is that 
profile and profile-bis satisfy the charter need for a general 
solution to IETF email in constrained environments.  One of the key 
reasons, if I recall correctly, for having this profile, is that it 
allows clients to be written solely for lemonade-compliant servers, 
and allows organizations to specify that they require a 
lemonade-compliant server, thus simplifying what has historically 
been a problem with IMAP (the plethora of individual extensions).  I 
believe we originally felt that this single document would also meet 
OMA's requirements, but we later realized that an additional document 
targeting OMA specifically would be helpful, and to that aim, the 
OMA-specific text was moved from Profile to a new document being 
authored by our esteemed chairs: "LEMONADE Architecture - Supporting 
OMA Mobile Email (MEM) using Internet Mail", 
draft-ietf-lemonade-architecture-01.txt.
-- 
Randall Gellens
Opinions are personal;    facts are suspect;    I speak for myself only
-------------- Randomly-selected tag: ---------------
I have made it a rule, whenever in my power, to avoid becoming the
draughtsman of papers to be reviewed by a public body.
              --Benjamin Franklin
_______________________________________________
lemonade mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/lemonade
Supplemental Web Site:
http://www.standardstrack.com/ietf/lemonade